import request from '@/utils/request'
// 下载打包影像
export function requestPackageAndAnonymizImage(params) {
    return request({
        url: '/DownloadAndUpload/requestPackageAndAnonymizImage',
        method: 'post',
        params
    })
}
// 获取影像上传列表
export function getSubjectImageUploadList(params) {
    return request({
        url: '/DownloadAndUpload/getSubjectImageUploadList',
        method: 'get',
        params
    })
}
// 预上传
export function preArchiveDicomStudy(data) {
    return request({
        url: '/DownloadAndUpload/preArchiveDicomStudy',
        method: 'post',
        data
    })
}
// 归档
export function addOrUpdateArchiveTaskStudy(data) {
    return request({
        url: '/DownloadAndUpload/addOrUpdateArchiveTaskStudy',
        method: 'post',
        data
    })
}

// 删除上传文件
export function deleteTaskStudy(params) {
    return request({
        url: '/DownloadAndUpload/deleteTaskStudy',
        method: 'delete',
        params
    })
}